package com.icomsys.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Getter
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class MessageSendLogInfo {

    private String seqNo;
    private String sendYn;
    private String userKey;
    private String callBack;
    private String receiverTelNo;
    private String sendType;
    private String contents;
    private String advertisementYn;
    private String imageFile1;
    private String imageFile2;
    private String imageFile3;
    private String videoFile;
    private String senderKey;
    private String templateCode;
    private String initCallNo;
    private String apiResponseCode;
    private String resultCode;
    private LocalDateTime registDate;
    private String optionYn;
}
